Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003606TestLinkInternal issuepublic2010-07-15 08:332010-10-09 08:00
Reportermakato2003 
Assigned ToEloff 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel Core 2OSWindows XPOS VersionPro 2002 SP3
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 Beta 6 
Summary0003606: import test results (XML) with external_id fails
DescriptionFailed to import test results using an XML file with external_id's.
Allthough the external_id appears to be correct textually, the import fails because the corresponding internal id cannot be determined.
Steps To ReproduceProject has prefix "abc-", Testlink then adds glue character '-', which results in "abc--'.

To import test results, use the external_id (e.g. abc--20). The import fails.
testcase.class.php::getInternalID() is unable to resolve the internal id.
It appears the function locates the first glue-character in the given external_id and then tries to locate internal id '-20', which obviously is wrong.
Additional InformationProblem can be solved in different manners:
* do not allow glue characters to appear in the prefix. Least elegant.
* allow glue character, but change getInternalID such that in locates the actual glue character in a find_last_of manner.



The latter has our preference as this notation can be very useful:
bigsystem-subsystemA-partA2
bigsystem-subsystemB-partB3
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3.6.6
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010677)
fman (administrator)
2010-07-16 18:28

- this has been solved on 1.9 -
20091229 - eloff - BUGID 3021 - getInternalID() - fixed error when tc prefix contains glue character

Please get 1.9 Beta 5, retest and let us know
(0011500)
fman (administrator)
2010-09-26 08:07

no more user feedback
(0011745)
fman (administrator)
2010-10-09 08:00

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-07-15 08:33 makato2003 New Issue
2010-07-15 10:12 fman Assigned To => fman
2010-07-15 10:12 fman Status new => assigned
2010-07-16 18:28 fman Note Added: 0010677
2010-07-16 18:28 fman Assigned To fman => Eloff
2010-07-16 18:28 fman Status assigned => feedback
2010-09-26 08:07 fman Note Added: 0011500
2010-09-26 08:07 fman Status feedback => resolved
2010-09-26 08:07 fman Fixed in Version => 1.9 Beta 6
2010-09-26 08:07 fman Resolution open => fixed
2010-10-09 08:00 fman Note Added: 0011745
2010-10-09 08:00 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker